weka.core.pmml.jaxbbindings

## Class RegressionTable

- java.lang.Object
- - weka.core.pmml.jaxbbindings.RegressionTable

-     public class RegressionTable
      extends java.lang.Object

  Java class for RegressionTable element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="RegressionTable">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}NumericPredictor" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}CategoricalPredictor" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}PredictorTerm" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="intercept" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="targetCategory" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegressionTable()`
    `RegressionTable(java.lang.String targetCategory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNumericPredictor(NumericPredictor predictor)`
    `java.util.List<CategoricalPredictor>` | `getCategoricalPredictor()` Gets the value of the categoricalPredictor property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `double` | `getIntercept()` Gets the value of the intercept property.
    `java.util.List<NumericPredictor>` | `getNumericPredictors()` Gets the value of the numericPredictor property.
    `java.util.List<PredictorTerm>` | `getPredictorTerm()` Gets the value of the predictorTerm property.
    `java.lang.String` | `getTargetCategory()` Gets the value of the targetCategory property.
    `void` | `setIntercept(double value)` Sets the value of the intercept property.
    `void` | `setTargetCategory(java.lang.String value)` Sets the value of the targetCategory property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegressionTable

          public RegressionTable()

    - #### RegressionTable

          public RegressionTable(java.lang.String targetCategory)

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getNumericPredictors

          public java.util.List<NumericPredictor> getNumericPredictors()

      Gets the value of the numericPredictor property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the numericPredictor property.

      For example, to add a new item, do as follows:

              getNumericPredictor().add(newItem);

      Objects of the following type(s) are allowed in the list `NumericPredictor`

    - #### addNumericPredictor

          public void addNumericPredictor(NumericPredictor predictor)

    - #### getCategoricalPredictor

          public java.util.List<CategoricalPredictor> getCategoricalPredictor()

      Gets the value of the categoricalPredictor property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the categoricalPredictor property.

      For example, to add a new item, do as follows:

              getCategoricalPredictor().add(newItem);

      Objects of the following type(s) are allowed in the list `CategoricalPredictor`

    - #### getPredictorTerm

          public java.util.List<PredictorTerm> getPredictorTerm()

      Gets the value of the predictorTerm property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the predictorTerm property.

      For example, to add a new item, do as follows:

              getPredictorTerm().add(newItem);

      Objects of the following type(s) are allowed in the list `PredictorTerm`

    - #### getIntercept

          public double getIntercept()

      Gets the value of the intercept property.

    - #### setIntercept

          public void setIntercept(double value)

      Sets the value of the intercept property.

    - #### getTargetCategory

          public java.lang.String getTargetCategory()

      Gets the value of the targetCategory property.
      Returns:
        possible object is `String`

    - #### setTargetCategory

          public void setTargetCategory(java.lang.String value)

      Sets the value of the targetCategory property.
      Parameters:
        `value` - allowed object is `String`